
-- IMPORTANT: Uppercase all SQL commands, this avoids internationalization
-- problems. Some database engines upper case the commands and this can fail
-- in some locales like Turkey.


-- Populate the Type table
SET IDENTITY_INSERT TYPE_LIST ON;
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (1, 'Default');
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (2, 'Full');
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (3, 'Standard');
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (4, 'Brief');
SET IDENTITY_INSERT TYPE_LIST OFF;


-- Populate the Format table
SET IDENTITY_INSERT FORMAT_LIST ON;
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (1, 'Cassette');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (2, 'CD');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (3, 'DVD Audio');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (4, 'LP');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (5, 'DTS CD');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (6, 'Super Audio CD');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (7, 'Super Audio CD - Hybrid');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (8, 'MP3');
SET IDENTITY_INSERT FORMAT_LIST OFF;


-- Populate the Sound table
SET IDENTITY_INSERT SOUND_LIST ON;
INSERT INTO SOUND_LIST (ROWKEY, LISTITEM) VALUES (1, 'Mono');
INSERT INTO SOUND_LIST (ROWKEY, LISTITEM) VALUES (2, 'Stereo');
INSERT INTO SOUND_LIST (ROWKEY, LISTITEM) VALUES (3, 'Multichannel');
SET IDENTITY_INSERT SOUND_LIST OFF;


-- Populate the Language table
SET IDENTITY_INSERT LANGUAGE_LIST ON;
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (1, 'English');
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (2, 'French');
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (3, 'German');
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (4, 'Spanish');
SET IDENTITY_INSERT LANGUAGE_LIST OFF;


-- Populate the Status table
SET IDENTITY_INSERT STATUS_LIST ON;
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (1, 'Own');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (2, 'Want');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (3, 'Ordered');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (4, 'For Sale');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (5, 'Sold');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (6, 'Withdrawn');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (7, 'Missing');
SET IDENTITY_INSERT STATUS_LIST OFF;


-- Populate the Recording table
SET IDENTITY_INSERT RECORDING_LIST ON;
INSERT INTO RECORDING_LIST (ROWKEY, LISTITEM) VALUES (1, 'Studio');
INSERT INTO RECORDING_LIST (ROWKEY, LISTITEM) VALUES (2, 'Live');
SET IDENTITY_INSERT RECORDING_LIST OFF;
