
-- IMPORTANT: Uppercase all SQL commands, this avoids internationalization
-- problems. Some database engines upper case the commands and this can fail
-- in some locales like Turkey.


-- Populate the Edition table
INSERT INTO EDITION_LIST (ROWKEY, LISTITEM) VALUES (1, 'First Edition');
SELECT pg_catalog.setval('edition_list_rowkey_seq', 1, true);


-- Populate the Language table
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (1, 'English');
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (2, 'French');
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (3, 'German');
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (4, 'Spanish');
SELECT pg_catalog.setval('language_list_rowkey_seq', 4, true);


-- Populate the Signed table
INSERT INTO SIGNED_LIST (ROWKEY, LISTITEM) VALUES (1, 'Signed');
SELECT pg_catalog.setval('signed_list_rowkey_seq', 1, true);


-- Populate the Type table
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (1, 'Default');
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (2, 'Full');
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (3, 'Standard');
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (4, 'Brief');
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (5, 'Seller');
SELECT pg_catalog.setval('type_list_rowkey_seq', 5, true);


-- Populate the Format table
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (1, 'Hardcover');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (2, 'Paperback');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (3, 'Bookclub Edition');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (4, 'Audio Book');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (5, 'eBook');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (6, 'Periodical');
SELECT pg_catalog.setval('format_list_rowkey_seq', 6, true);


-- Populate the Status table
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (1, 'Own');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (2, 'Want');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (3, 'Ordered');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (4, 'For Sale');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (5, 'Sold');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (6, 'Withdrawn');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (7, 'Missing');
SELECT pg_catalog.setval('status_list_rowkey_seq', 7, true);
