#!/bin/bash
# Shell script to start ReaderwareVW. This script is designed to work
# with the Sun Java implementation.
#

#
# classpath is relative to installation directory
cd "${0%/*}";pwd

#
# Prefer my Java, if available
PATH="jre/bin:"$PATH

java -Xmx512m -Dsun.net.client.defaultConnectTimeout=30000 -Dsun.net.client.defaultReadTimeout=30000 -Djava.library.path=. -cp readerware.jar:lib/hsqldb.jar:lib/jython.jar:lib/javacsv.jar:lib/swingx-all.jar:lib/LinearBarCode.jar:lib/commons-lang.jar:lib/common-image-3.4.2.jar:lib/common-io-3.4.2.jar:lib/common-lang-3.4.2.jar:lib/imageio-core-3.4.2.jar:lib/imageio-jpeg-3.4.2.jar:lib/imageio-metadata-3.4.2.jar:lib/amazon.jar:lib/RXTXcomm.jar:lib/jh.jar:lib/log4j.jar:lib/dnsjava.jar:lib/commons-codec-1.11.jar:lib/commons-logging-1.2.jar:lib/commons-text-1.8.jar:lib/gson-2.8.1.jar:lib/gson-fire-1.8.0.jar:lib/hamcrest-core-1.3.jar:lib/httpclient-4.5.5.jar:lib/httpcore-4.4.9.jar:lib/jackson-annotations-2.9.0.jar:lib/jackson-core-2.9.5.jar:lib/jackson-core-asl-1.9.2.jar:lib/jackson-databind-2.9.3.jar:lib/jackson-mapper-asl-1.9.2.jar:lib/jackson-xc-1.9.2.jar:lib/jackson-xml-databind-0.6.2.jar:lib/json-20180130.jar:lib/junit-4.12.jar:lib/logging-interceptor-2.7.5.jar:lib/okhttp-2.7.5.jar:lib/okio-1.6.0.jar:lib/paapi5-java-sdk-1.0.0.jar:lib/stax-api-1.0-2.jar:lib/stax2-api-3.1.0.jar:lib/swagger-annotations-1.5.15.jar:lib/threetenbp-1.3.5.jar:help com.readerware.ReaderwareVW $*

