
-- IMPORTANT: Uppercase all SQL commands, this avoids internationalization
-- problems. Some database engines upper case the commands and this can fail
-- in some locales like Turkey.


-- Populate the Type table
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (1, 'Default');
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (2, 'Full');
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (3, 'Standard');
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (4, 'Brief');


-- Populate the Format table
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (1, 'Cassette');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (2, 'CD');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (3, 'DVD Audio');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (4, 'LP');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (5, 'DTS CD');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (6, 'Super Audio CD');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (7, 'Super Audio CD - Hybrid');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (8, 'MP3');


-- Populate the Sound table
INSERT INTO SOUND_LIST (ROWKEY, LISTITEM) VALUES (1, 'Mono');
INSERT INTO SOUND_LIST (ROWKEY, LISTITEM) VALUES (2, 'Stereo');
INSERT INTO SOUND_LIST (ROWKEY, LISTITEM) VALUES (3, 'Multichannel');


-- Populate the Language table
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (1, 'English');
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (2, 'French');
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (3, 'German');
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (4, 'Spanish');


-- Populate the Status table
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (1, 'Own');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (2, 'Want');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (3, 'Ordered');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (4, 'For Sale');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (5, 'Sold');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (6, 'Withdrawn');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (7, 'Missing');


-- Populate the Recording table
INSERT INTO RECORDING_LIST (ROWKEY, LISTITEM) VALUES (1, 'Studio');
INSERT INTO RECORDING_LIST (ROWKEY, LISTITEM) VALUES (2, 'Live');
