
-- IMPORTANT: Uppercase all SQL commands, this avoids internationalization
-- problems. Some database engines upper case the commands and this can fail
-- in some locales like Turkey.


-- Populate the Edition table
SET IDENTITY_INSERT EDITION_LIST ON;
INSERT INTO EDITION_LIST (ROWKEY, LISTITEM) VALUES (1, 'First Edition');
SET IDENTITY_INSERT EDITION_LIST OFF;


-- Populate the Language table
SET IDENTITY_INSERT LANGUAGE_LIST ON;
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (1, 'English');
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (2, 'French');
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (3, 'German');
INSERT INTO LANGUAGE_LIST (ROWKEY, LISTITEM) VALUES (4, 'Spanish');
SET IDENTITY_INSERT LANGUAGE_LIST OFF;


-- Populate the Signed table
SET IDENTITY_INSERT SIGNED_LIST ON;
INSERT INTO SIGNED_LIST (ROWKEY, LISTITEM) VALUES (1, 'Signed');
SET IDENTITY_INSERT SIGNED_LIST OFF;


-- Populate the Type table
SET IDENTITY_INSERT TYPE_LIST ON;
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (1, 'Default');
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (2, 'Full');
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (3, 'Standard');
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (4, 'Brief');
INSERT INTO TYPE_LIST (ROWKEY, LISTITEM) VALUES (5, 'Seller');
SET IDENTITY_INSERT TYPE_LIST OFF;


-- Populate the Format table
SET IDENTITY_INSERT FORMAT_LIST ON;
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (1, 'Hardcover');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (2, 'Paperback');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (3, 'Bookclub Edition');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (4, 'Audio Book');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (5, 'eBook');
INSERT INTO FORMAT_LIST (ROWKEY, LISTITEM) VALUES (6, 'Periodical');
SET IDENTITY_INSERT FORMAT_LIST OFF;


-- Populate the Status table
SET IDENTITY_INSERT STATUS_LIST ON;
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (1, 'Own');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (2, 'Want');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (3, 'Ordered');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (4, 'For Sale');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (5, 'Sold');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (6, 'Withdrawn');
INSERT INTO STATUS_LIST (ROWKEY, LISTITEM) VALUES (7, 'Missing');
SET IDENTITY_INSERT STATUS_LIST OFF;
